Update a fact-find section Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
PUT /api/v2/fact-find/sections/{factFindSection_uuid}

Headers

  • X-PLANNR-ACCOUNT-UUID string

Path parameters

  • factFindSection_uuid string Required
application/json

Body

  • name string

    The name of the fact find section. Must be unique within the template.

    Maximum length is 255.

  • introduction_html string

    HTML introduction shown at the start of this section.

    Maximum length is 10000.

  • position integer

    The position/order of this section within the template.

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • uuid string
    • created_at string
    • updated_at string
    • fact_find_template object
      Hide fact_find_template attributes Show fact_find_template attributes object
      • uuid string
      • created_at string
      • updated_at string
      • name string
      • description string
      • opening_statement string
      • closing_statement string
      • is_published boolean
      • is_locked boolean
      • active_session_count integer
      • sections object
        Hide sections attributes Show sections attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • name

          The name of the fact find section.

        • introduction_html

          HTML introduction shown at the start of this section.

        • position

          The position/order of this section within the template.

        • is_complete

          Whether the section has been completed by the fact find pass.

    • name string
    • introduction_html string
    • position integer
    • is_complete boolean
    • blocks object
      Hide blocks attributes Show blocks attributes object
      • uuid string
      • created_at string
      • updated_at string
      • fact_find_section object
        Hide fact_find_section attributes Show fact_find_section attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • name

          The name of the fact find section.

        • introduction_html

          HTML introduction shown at the start of this section.

        • position

          The position/order of this section within the template.

        • is_complete

          Whether the section has been completed by the fact find pass.

      • name string
      • introduction_html string
      • position integer
PUT /api/v2/fact-find/sections/{factFindSection_uuid}
curl \
 --request PUT 'https://api.plannrcrm.com/api/v2/fact-find/sections/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
 --data '{"name":"Personal Details","introduction_html":"\u003cp\u003ePlease provide your personal details below.\u003c/p\u003e","position":1}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}

# Payload
{
  "name": "Personal Details",
  "introduction_html": "<p>Please provide your personal details below.</p>",
  "position": 1
}
Response examples (200)
{
  "uuid": "47158156-f03b-47e4-af5b-0354fcf3c534",
  "created_at": "2026-07-22T14:08:42+01:00",
  "updated_at": "2026-07-22T14:08:42+01:00",
  "fact_find_template": {
    "uuid": "8ad8a7d9-77c2-4a69-8883-439aef1153a0",
    "created_at": "2026-07-22T14:08:42+01:00",
    "updated_at": "2026-07-22T14:08:42+01:00",
    "name": "My Fact-Find Template",
    "description": "A comprehensive fact-find template for new clients.",
    "opening_statement": "Welcome to our fact-find process...",
    "closing_statement": "Thank you for completing the fact find",
    "is_published": true,
    "is_locked": false,
    "active_session_count": 0,
    "sections": {
      "uuid": "be082657-87a9-44c2-9290-4a248cad515d",
      "created_at": "2026-07-22T14:08:48+01:00",
      "updated_at": "2026-07-22T14:08:48+01:00",
      "name": "Personal Details",
      "introduction_html": "<p>Please provide your personal details below.</p>",
      "position": 1,
      "is_complete": false
    }
  },
  "name": "Personal Details",
  "introduction_html": "<p>Please provide your personal details below.</p>",
  "position": 1,
  "is_complete": false,
  "blocks": {
    "uuid": "ccf2b2ab-046a-4da3-a36b-b85ac5054c05",
    "created_at": "2026-07-22T14:08:42+01:00",
    "updated_at": "2026-07-22T14:08:42+01:00",
    "fact_find_section": {
      "uuid": "be082657-87a9-44c2-9290-4a248cad515d",
      "created_at": "2026-07-22T14:08:48+01:00",
      "updated_at": "2026-07-22T14:08:48+01:00",
      "name": "Personal Details",
      "introduction_html": "<p>Please provide your personal details below.</p>",
      "position": 1,
      "is_complete": false
    },
    "name": "Income Details",
    "introduction_html": "<p>Please provide your income details below.</p>",
    "position": 1
  }
}